Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Interface ChallengeContext

    public interface ChallengeContext

The `ChallengeContext` interface allows the Principal Authenticator to return an object that contains state and is used for subsequent steps in a multi-step challenge/response process. This allows the framework to support authentication protocols such as Microsoft's Windows NT Challenge/Response (NTLM), Simple and Protected GSS-API Negotiation Mechanism (SPNEGO), and other challenge/response authentication mechanisms.

Method Summary
`weblogic.security.acl.internal.AuthenticatedSubject` | `getAuthenticatedSubject()` Returns the authenticated subject for the challenge identity assertion.
`Object` | `getChallengeToken()` Returns the challenge token for the challenge identity assertion.
`boolean` | `hasChallengeIdentityCompleted()` Returns whether the challenge identity assertion has completed.

Method Detail

### hasChallengeIdentityCompleted

    boolean hasChallengeIdentityCompleted()

  Returns whether the challenge identity assertion has completed.

  Returns:
    `true` if the challenge identity assertion has completed, `false` if not. If `true`, then the caller should use the `getAuthenticatedSubject()` method. If `false`, then the caller should use the `getChallengeToken()` method.

### getAuthenticatedSubject

    weblogic.security.acl.internal.AuthenticatedSubject getAuthenticatedSubject()

  Returns the authenticated subject for the challenge identity assertion. This method should only be called when the `hasChallengeIdentityCompleted()` method returns `true`. If called incorrectly, then an `IllegalStateException` runtime exception will be thrown.

  Returns:
    the `AuthenticatedSubject` related to the identity.

### getChallengeToken

    Object getChallengeToken()

  Returns the challenge token for the challenge identity assertion. This method should only be called when the `hasChallengeIdentityCompleted()` method returns `false`. If called incorrectly, then an `IllegalStateException` runtime exception will be thrown.

  Returns:
    the challenge token for the challenge Identity Assertion provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD